<?php
// common.php
// created the 08/12/05 by mickael ROYER

function format_text($str)
{
	$output = urldecode($str);
	$output = str_replace("\'","'",$output);
	$output = str_replace('\"','"',$output);

	return $output;
}

function t($content)
{
	global $config;
	global $user_config;
	global $locale;
	$lang = isset($config) ? $config->variable_get('lang') : $user_config['lang'];

	if ($lang == 'en' || !is_readable('./l10n/'.$lang.'.php'))
		return $content;

	if (!isset($locale))
		require_once('./l10n/'.$lang.'.php');
	if (isset($locale[$content]) && $locale[$content] != '')
		$content = $locale[$content];

	return $content;
}

function l($name,$value,$lock = true,$id = NULL)
{
	$output = '<a href="" ';
	$output .= ($id ? 'id="'.$id.'" ' : '');
	$output .= 'onClick="this.blur(); ajaxmp_ref.send_http_request(\'GET\',\''.$value.'\',\'\','.$lock.'); return false;">';
	$output .= $name."</a>";
	
	return $output;
}

function js_l($name,$action)
{
	return '<a href="" onClick="'.$action.'">'.$name."</a>\n";
}

function collapsible_fieldset($legend,$value,$collapsed = FALSE)
{
        return '<fieldset class="collapsible'.($collapsed ? ' collapsed' : '').'">'.
               '<legend><a href="" onClick="toggleClass(this.parentNode.parentNode,\'collapsed\');this.blur();return false;">'.                        $legend .'</a></legend>'.$value."</fieldset>\n";
}

function check_plain($text)
{
	return htmlspecialchars($text, ENT_QUOTES);
}

function set_attributes($attributes = array())
{
	if (is_array($attributes))
	{
		$t = array();
		foreach ($attributes as $key => $value)
		{
			$t[] = $key .'="'. check_plain($value) .'"';
		}

		return ' '. implode($t, ' ');
	}
}
?>
