<?php
// login.php
// created the 07/01/05 by mickael ROYER

require_once('config/config.php');
require_once('include/cls/class.auth.php');
require_once('include/cls/class.config.php');
require_once('include/auth.php');
require_once('include/common.php');

session_start();

$user_id = '';
if(!empty($_POST['user_id']) && !empty($_POST['user_pwd']))
{
	$auth =& init_auth();

	$user_id = $_POST['user_id'];
	$user_pwd = $_POST['user_pwd'];
	if (isset($auth_config['md5']) && $auth_config['md5'])
	  $user_pwd = md5($user_pwd);
	$user_remember = !empty($_POST['user_remember']) ? true : false;
	
	if($auth->perform($user_id,$user_pwd,$user_remember))
	{
		$_SESSION['sess_user_id'] = $user_id;
		
		header('Location: ./');
		exit;
	}
	else
	{
		$err = t('Login failed. Please try again.');
	}
}

header('Content-Type: text/html; charset= UTF-8');
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
<title>ajaxMP</title>
<meta http-equiv="Content-Style-Type" content="text/css" />
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<style type="text/css" media="all">@import "css/login_page.css";</style>
</head>


<body>


<div id="login_page" class="login_page">
<h1><?php echo t('Welcome on ajaxMP');?></h1>

<form action="login.php" method="post">
<div class="login_form">
<?php
if(!empty($err))
{
	echo '<p><strong>'.$err.'</strong></p>';
}
?>

<p><label><?php echo t('Login :'); ?></label>
<input name="user_id" id="user_id" class="textarea" type="text" maxlength="32"
value="<?php echo $user_id; ?>" tabindex="1"/></p>

<p><label><?php echo t('Password :'); ?></label>
<input name="user_pwd" id="user_pwd" class="textarea" type="password" tabindex="2" /></p>

<p><input type="checkbox" id="user_remember" name="user_remember" value="1" />
<label class="inline" for="user_remember"><?php echo t('Remember me');?></label></p>

<p><input class="form-submit" type="submit" value="ok" /></p>

</div>
</form>
</div>

<script type="text/javascript">
document.forms[0]['user_id'].focus();
</script>

</body>
</html>


