<?php
// auth.php

require_once('include/cls/class.auth.php');

function &init_auth() 
{
	global $auth_config;
	global $users_array;

	$auth = NULL;

	if (!isset($auth_config['auth_method']))
		die(t('You do not choose an authentification method.')); 

	switch ($auth_config['auth_method']) 
	{
		case 'users_array' :
		if (is_array($users_array))
			$auth =& new auth($users_array);
		else
			die(t('You do not correctly defined the global variable users_array in config.php')); 
		break;

		case 'file' :
		if (isset($auth_config['path_files']) && is_readable($auth_config['path_files']))
			$auth =& new auth_file($auth_config['path_files']);
		else
			die(t('You choose "file" authentification method but you do not have correctly configured your password file'));
		break;

		default :
		die(t('You do not choose a valid authentification method')); 
		break;
	}

	return $auth;
}

?>
