<?php
// index.php 
// created the 08/12/05 by mickael ROYER

require_once('include/common.php');
require_once('include/block.php');

$app['name'] = 'AjaxMP';
$app['config_filepath'] = 'config/config.php';

if( is_readable($app['config_filepath']) ){
  require_once $app['config_filepath'];
}else{
  die($app['name']." not configured. Config file not found or not readable. You may use config/config.php.dist, copy it to config/config.php and edit it to fit your needs.");
}

require_once('include/cls/class.auth.php');
require_once('include/cls/class.config.php');
require_once('include/auth.php');
// domxml extension does not work with php5
if (version_compare(PHP_VERSION,'5','>='))
  require_once('include/cls/dom-php4-to-php5.php');


// first, verif that no action is requested
if (isset($_GET['action']) && ($_GET['action'] == 'logout')) {
  // destroy the session
  session_start();
  session_unset();
  session_destroy();
  // erase cookies
  if (!empty($_COOKIE['ajaxmp_user']))
    setcookie ("ajaxmp_user", "", time() - 3600);
  if (!empty($_COOKIE['ajaxmp_pwd']))
    setcookie ("ajaxmp_pwd", "", time() - 3600);
  header('Location: ./');
  exit;
  }

session_start();
// Active authentification if necessary
if (isset($auth_config)) {
  $auth =& init_auth();
  $auth->check();
  }

// load the configuration
$config =& init_config();
if (!$config->load_config())
  die($config->error());


ob_start();                       // Start output buffering
include('themes/'.$config->variable_get('theme').'/template.php');    // Include the file
$contents = ob_get_contents();    // Get the contents of the buffer 
ob_end_clean();                   // End buffering and discard
print $contents;

?>

